
Foreman - Bug #17900

unable to compile webpack compressed assets under NodeJS 0.10

01/03/2017 06:41 AM - Ohad Levy

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

/home/foreman/git/foreman/node_modules/.bin/webpack --config /home/foreman/git/foreman/config/webp

ack.config.js --bail

zlib.js:167

    callback(null, buf);

    ^

TypeError: object is not a function

    at Gzip.onEnd (zlib.js:167:5)

    at Gzip.emit (events.js:117:20)

    at _stream_readable.js:944:16

    at process._tickCallback (node.js:448:13)

rake aborted!

Related issues:

Related to Foreman - Refactor #16682: add compression to webpack Closed 09/25/2016

History

#1 - 01/03/2017 06:41 AM - Ohad Levy

- Related to Refactor #16682: add compression to webpack added

#2 - 01/03/2017 06:41 AM - Ohad Levy

This is on an EL6 host, I assume a node / npm package version issue?

#3 - 01/03/2017 06:44 AM - Dominic Cleal

- Subject changed from unable to complie webpack compressed assets. to unable to compile webpack compressed assets.

I assume a node / npm package version issue?

 So what are the node/npm versions you're using? CI tests are fine.

Does this still occur after npm up?

#4 - 01/03/2017 06:52 AM - Ohad Levy

Dominic Cleal wrote:

I assume a node / npm package version issue?

 So what are the node/npm versions you're using? CI tests are fine.

 npm version { TheForemanDevDeps: '1.15.0',
npm: '4.0.5',

ares: '1.9.1',

http_parser: '2.0',

modules: '11',

node: '0.10.40',

openssl: '1.0.1e-fips',

uv: '0.10.30',

v8: '3.14.5.10',

zlib: '1.2.3' }

Does this still occur after npm up?

 yes.

#5 - 01/03/2017 06:55 AM - Tomer Brisker

This is indeed due to node version, you are using 0.10.

Our builders have all been upgraded to use newer versions, which is why this doesn't break on CI.

#6 - 01/03/2017 07:17 AM - Dominic Cleal

- Subject changed from unable to compile webpack compressed assets. to unable to compile webpack compressed assets under NodeJS 0.10

- Category set to Packaging

#7 - 01/09/2017 05:36 AM - Tomer Brisker

- Status changed from New to Resolved

Update the manual to indicate that nodejs >= 4.x is required for source installs.

More and more modules are breaking or requiring significant workarounds on node 0.10 which was first released 4 years ago and ended maintenance

mode already after an extended LTS.

Since node is only required for building the assets and not for running foreman in production, there is no reason to support older versions. Closing this

issue.
